Форум русскоязычного сообщества Ubuntu


Автор Тема: LibreOffice зависит и не устанавливается.  (Прочитано 2964 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Alboroto

  • Автор темы
  • Участник
  • *
  • Сообщений: 121
    • Просмотр профиля
Ubuntu 11.10 после корявого обновления

apt-get install libreoffice
Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 libreoffice : Зависит: libreoffice-core (= 1:3.4.4~rc1-0ubuntu1~ppa1) но он не будет установлен
               Зависит: libreoffice-writer но он не будет установлен
               Зависит: libreoffice-calc но он не будет установлен
               Зависит: libreoffice-impress но он не будет установлен
               Зависит: libreoffice-draw но он не будет установлен
               Зависит: libreoffice-math но он не будет установлен
               Зависит: libreoffice-base но он не будет установлен
               Зависит: libreoffice-report-builder-bin но он не будет установлен
               Зависит: libreoffice-filter-mobiledev но он не будет установлен
               Зависит: libreoffice-java-common (>= 1:3.4.4~rc1~) но он не будет установлен


alboroto@MiEspiritu:~$ sudo apt-get install libreoffice-core
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Чтение информации о состоянии... Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 libreoffice-core : Зависит: ure (>= 3.4.4) но 3.4.4~rc1-0ubuntu1~ppa1 будет установлен
E: Не удалось исправить ошибки, у вас отложены (held) испорченные пакеты.
apt-get upgrade не помогает
всё началось с того, что пропал libreoffice writer
А потом я решил снести пакет и поставить заново. Теперь у меня не ставится впринципе ничего из него=)
« Последнее редактирование: 09 Ноябрь 2011, 18:43:12 от Alboroto »

Оффлайн hus

  • Новичок
  • *
  • Сообщений: 14
    • Просмотр профиля
Re: LibreOffice зависит и не устанавливается.
« Ответ #1 : 10 Ноябрь 2011, 21:37:07 »
Ставь через Synaptic, на 10.04 у меня точно так же было

Оффлайн Упс

  • Старожил
  • *
  • Сообщений: 3231
    • Просмотр профиля
Re: LibreOffice зависит и не устанавливается.
« Ответ #2 : 10 Ноябрь 2011, 21:48:19 »
Цитировать
apt-get upgrade не помогает
А если сначала apt-get update?
xUbuntu 12.04

Оффлайн Panic! At the Kernel

  • Активист
  • *
  • Сообщений: 700
    • Просмотр профиля
Re: LibreOffice зависит и не устанавливается.
« Ответ #3 : 10 Ноябрь 2011, 21:49:29 »
У меня точно так же. Пока остался на предыдущей версии. Подозреваю, что ребята напортачили с зависимостями. Никакие действия с апт, ни ручное ковыряние пакетов не помогают.

Оффлайн лесной_зонтик

  • Старожил
  • *
  • Сообщений: 2224
  • Просьба на количество сообщений не смотреть.
    • Просмотр профиля
Re: LibreOffice зависит и не устанавливается.
« Ответ #4 : 10 Ноябрь 2011, 22:11:35 »
Ubuntu 11.10 после корявого обновления
А по подробнее?

Пользователь решил продолжить мысль 10 Ноябрь 2011, 22:14:27:
И отключи сторонний реп с libre office, обнови список пакетов и попробуй установить снова не подключая тот реп.
« Последнее редактирование: 10 Ноябрь 2011, 22:14:27 от forest_gamp »
Моя мечта поставить на комп Linux, Unix, *BSD, Mac OS X, OpenSolaris, OS/2, Windows.
Не спрашивайте зачем. Сам не знаю ???

Оффлайн wavebvg

  • Активист
  • *
  • Сообщений: 432
  • Никогда не знаешь, чем всё...
    • Просмотр профиля
Re: LibreOffice зависит и не устанавливается.
« Ответ #5 : 10 Ноябрь 2011, 22:25:23 »
Сторонний реп - это реп а ля ubuntu team libre office 
Цитировать
ppa:libreoffice/ppa
Не работает там пока что.
Виноват во всем пакет
Цитировать
ure

Оффлайн лесной_зонтик

  • Старожил
  • *
  • Сообщений: 2224
  • Просьба на количество сообщений не смотреть.
    • Просмотр профиля
Re: LibreOffice зависит и не устанавливается.
« Ответ #6 : 11 Ноябрь 2011, 15:45:48 »
Как раз сторонний реп и участвует, т.к. версия 3.4.4 либры вышла 2 дня назад.
Моя мечта поставить на комп Linux, Unix, *BSD, Mac OS X, OpenSolaris, OS/2, Windows.
Не спрашивайте зачем. Сам не знаю ???

Оффлайн InFakes

  • Любитель
  • *
  • Сообщений: 72
  • Ubuntu 10.04 LTS Lucid Lynx
    • Просмотр профиля
    • Блог хороших мыслей
Re: LibreOffice зависит и не устанавливается.
« Ответ #7 : 13 Июнь 2012, 21:36:32 »
На Ubuntu 10.04.3 есть похожая проблема, при установке выдает:
Цитировать
Уже установлена самая новая версия libreoffice.
Следующие пакеты устанавливались автоматически и больше не требуются:
  wine1.3-gecko nspluginwrapper
Для их удаления используйте 'apt-get autoremove'.
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
Удаляешь Либру и ставишь заново, но пишет про зависимости. Подскажите, какой реп нужно удалить?
Ubuntu 13.04 | Gnome FallBack | Dell Inspirion 3520 | Intel i3-3110 | RAM 1x4Gb | HD Graphics 4000 | 500 Gb HDD WD | wi-fi - 32 Mb/sec

Оффлайн лесной_зонтик

  • Старожил
  • *
  • Сообщений: 2224
  • Просьба на количество сообщений не смотреть.
    • Просмотр профиля
Re: LibreOffice зависит и не устанавливается.
« Ответ #8 : 13 Июнь 2012, 21:53:40 »
Дай вывод
ls /etc/apt/sources.list.d
Моя мечта поставить на комп Linux, Unix, *BSD, Mac OS X, OpenSolaris, OS/2, Windows.
Не спрашивайте зачем. Сам не знаю ???

Оффлайн InFakes

  • Любитель
  • *
  • Сообщений: 72
  • Ubuntu 10.04 LTS Lucid Lynx
    • Просмотр профиля
    • Блог хороших мыслей
Re: LibreOffice зависит и не устанавливается.
« Ответ #9 : 13 Июнь 2012, 22:02:50 »
Цитировать
ailurus-ppa-lucid.list
ailurus-ppa-lucid.list.save
alexey-smirnov-deadbeef-lucid.list
alexey-smirnov-deadbeef-lucid.list.save
am-monkeyd-nautilus-elementary-ppa-lucid.list
am-monkeyd-nautilus-elementary-ppa-lucid.list.save
getdeb.list
getdeb.list.save
google-chrome.list
google-chrome.list.save
hydr0g3n-ppa-lucid.list
hydr0g3n-ppa-lucid.list.save
libreoffice-ppa-lucid.list
libreoffice-ppa-lucid.list.save
lucid-bleed-ppa-lucid.list
lucid-bleed-ppa-lucid.list.save
micahg-ppa-lucid.list
micahg-ppa-lucid.list.save
motumedia-mplayer-daily-lucid.list
motumedia-mplayer-daily-lucid.list.save
mozillateam-firefox-stable-lucid.list
mozillateam-firefox-stable-lucid.list.save
mozillateam-thunderbird-stable-lucid.list
mozillateam-thunderbird-stable-lucid.list.save
opera.list
opera.list.save
skype.list
skype.list.save
tehnick-tehnick-lucid.list
tehnick-tehnick-lucid.list.save
tualatrix-ppa-lucid.list
tualatrix-ppa-lucid.list.save
ubuntu-tweak-stable.list.save
ubuntu-wine-ppa-lucid.list
ubuntu-wine-ppa-lucid.list.save
ubuntu-x-swat-x-updates-lucid.list
ubuntu-x-swat-x-updates-lucid.list.save
virtualbox-offical-source.list
virtualbox-offical-source.list.save
webupd8team-vlmc-lucid.list
webupd8team-vlmc-lucid.list.save
Ubuntu 13.04 | Gnome FallBack | Dell Inspirion 3520 | Intel i3-3110 | RAM 1x4Gb | HD Graphics 4000 | 500 Gb HDD WD | wi-fi - 32 Mb/sec

Оффлайн лесной_зонтик

  • Старожил
  • *
  • Сообщений: 2224
  • Просьба на количество сообщений не смотреть.
    • Просмотр профиля
Re: LibreOffice зависит и не устанавливается.
« Ответ #10 : 13 Июнь 2012, 22:04:56 »
удали репозиторий libreoffice-ppa-lucid

Пользователь решил продолжить мысль 13 Июнь 2012, 22:05:34:
После чего обнови список пакетов
sudo apt-get update
Моя мечта поставить на комп Linux, Unix, *BSD, Mac OS X, OpenSolaris, OS/2, Windows.
Не спрашивайте зачем. Сам не знаю ???

Оффлайн InFakes

  • Любитель
  • *
  • Сообщений: 72
  • Ubuntu 10.04 LTS Lucid Lynx
    • Просмотр профиля
    • Блог хороших мыслей
Re: LibreOffice зависит и не устанавливается.
« Ответ #11 : 13 Июнь 2012, 22:38:09 »
удали репозиторий libreoffice-ppa-lucid
Цитировать

Большое спасибо, новая версия, но появился вот такой глюк, кнопки без картинок...
Ubuntu 13.04 | Gnome FallBack | Dell Inspirion 3520 | Intel i3-3110 | RAM 1x4Gb | HD Graphics 4000 | 500 Gb HDD WD | wi-fi - 32 Mb/sec

Оффлайн лесной_зонтик

  • Старожил
  • *
  • Сообщений: 2224
  • Просьба на количество сообщений не смотреть.
    • Просмотр профиля
Re: LibreOffice зависит и не устанавливается.
« Ответ #12 : 13 Июнь 2012, 23:50:50 »
Удали папку
~/.config/libreoffice
Моя мечта поставить на комп Linux, Unix, *BSD, Mac OS X, OpenSolaris, OS/2, Windows.
Не спрашивайте зачем. Сам не знаю ???

Оффлайн InFakes

  • Любитель
  • *
  • Сообщений: 72
  • Ubuntu 10.04 LTS Lucid Lynx
    • Просмотр профиля
    • Блог хороших мыслей
Re: LibreOffice зависит и не устанавливается.
« Ответ #13 : 14 Июнь 2012, 00:00:25 »
Тоже самое((
Ubuntu 13.04 | Gnome FallBack | Dell Inspirion 3520 | Intel i3-3110 | RAM 1x4Gb | HD Graphics 4000 | 500 Gb HDD WD | wi-fi - 32 Mb/sec

 

Страница сгенерирована за 0.099 секунд. Запросов: 25.